Last Comment Bug 613086 - Permissions tab in Data Manager should have a key for setting selected entry to Default
: Permissions tab in Data Manager should have a key for setting selected entry ...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Passwords & Permissions (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser
:
Mentors:
Depends on: DataManager
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 16:38 PST by Ian Neal
Modified: 2010-12-19 15:44 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1: add DEL key handling for useDefault (2.29 KB, patch)
2010-11-27 07:07 PST, Robert Kaiser
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Ian Neal 2010-11-17 16:38:14 PST
It would be useful to have a key which sets the selected entry to Default (checks the Default checkbox) in the Data Manager's permissions tab.
One suggestion for that key is the Delete key as selecting default does sort of remove the entry (when you switch away from that domain and back again).
Comment 1 Robert Kaiser 2010-11-27 07:07:18 PST
Created attachment 493517 [details] [diff] [review]
v1: add DEL key handling for useDefault

This patch applies cleanly on top of bug 588417 but is trivial to merge to current trunk (the dataman.xul hunk may conflict in context).
The patch is pretty easy, but when focus is not on a checkbox or radio control inside the permission item, the keypress goes to the listbox instead, so we need to forward the keypress to the selected item itself.
Comment 2 Robert Kaiser 2010-12-15 06:17:26 PST
Pushed as http://hg.mozilla.org/comm-central/rev/0ccddb1b3675

Note You need to log in before you can comment on or make changes to this bug.